Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class UrlClickableMember

    java.lang.Object
      com.tonbeller.jpivot.table.navi.AbstractClickableMember
          com.tonbeller.jpivot.table.navi.UrlClickableMember

All Implemented Interfaces:
  ModelChangeListener, ClickableMember, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener

    public class UrlClickableMember

extends AbstractClickableMember

creates a hyperlink in the table with a specified url. The URL may contain the unique name of the member that belongs to the hyperlink.

Since:
  Mar 27, 2006
Author:
  av

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.navi.AbstractClickableMember
`parser`

Constructor Summary
`protected` | `UrlClickableMember(java.lang.String uniqueName, java.lang.String menuLabel, java.lang.String urlPattern)`

Method Summary
`void` | `decorate(SpanBuilder.SBContext sbctx, Displayable obj)`
`void` | `modelChanged(ModelChangeEvent e)` ignore
`void` | `request(com.tonbeller.wcf.controller.RequestContext context)` ignore
`void` | `structureChanged(ModelChangeEvent e)` ignore

Methods inherited from class com.tonbeller.jpivot.table.navi.AbstractClickableMember
`isSuppressAllMember, isSuppressCalcMember, isSuppressMeasures, match, setSuppressAllMember, setSuppressCalcMember, setSuppressMeasures, startRendering, stopRendering`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlClickableMember

    protected UrlClickableMember(java.lang.String uniqueName,
                                 java.lang.String menuLabel,
                                 java.lang.String urlPattern)

Parameters:
  `uniqueName` - name of level, hierarchy, dimension that shall be clickable
  `urlPattern` - any url. {0} will be replaced with the unique name of the selected member

Method Detail

### decorate

    public void decorate(SpanBuilder.SBContext sbctx,
                         Displayable obj)

### request

    public void request(com.tonbeller.wcf.controller.RequestContext context)
                 throws java.lang.Exception

  ignore

  Throws:
    `java.lang.Exception`

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  ignore

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  ignore

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD